Bug 1653274

Summary: When reboot node the status under openstack network agent list did not change
Product: Red Hat OpenStack Reporter: Eran Kuris <ekuris>
Component: python-networking-ovnAssignee: Assaf Muller <amuller>
Status: CLOSED NOTABUG QA Contact: Eran Kuris <ekuris>
Severity: high Docs Contact:
Priority: unspecified    
Version: 14.0 (Rocky)CC: apevec, ekuris, lhh, lmartins, majopela, nyechiel
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-27 13:13:09 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1495692    

Description Eran Kuris 2018-11-26 12:27:07 UTC
Description of problem:
If the node is rebooted , it should clear itself up from the chassis table. So this should make the agent in this node look as dead and the expecterion is that the status  under the command openstack network agent list will be change from alive to dead.

When the node comes back up again it should register itself as a OVN chassis so it should show as "alive"

64 bytes from 192.168.24.11: icmp_seq=54 ttl=64 time=0.259 ms
64 bytes from 192.168.24.11: icmp_seq=55 ttl=64 time=0.197 ms
^C
--- 192.168.24.11 ping statistics ---
61 packets transmitted, 55 received, 9% packet loss, time 60006ms
rtt min/avg/max/mdev = 0.197/0.330/1.289/0.213 ms
(overcloud) [stack@undercloud-0 ~]$ openstack network agent list 
+--------------------------------------+------------------------------+--------------------------+-------------------+-------+-------+-------------------------------+
| ID                                   | Agent Type                   | Host                     | Availability Zone | Alive | State | Binary                        |
+--------------------------------------+------------------------------+--------------------------+-------------------+-------+-------+-------------------------------+
| 3eee6522-d9c9-461d-9609-965173b3f667 | OVN Metadata agent           | compute-1.localdomain    | n/a               | :-)   | UP    | networking-ovn-metadata-agent |
| ed6bb065-24a5-4fcb-8bed-5322b9e486c5 | OVN Controller agent         | compute-1.localdomain    | n/a               | :-)   | UP    | ovn-controller                |
| 84a56f80-e22a-458c-a423-9052e729e172 | OVN Controller Gateway agent | controller-0.localdomain | n/a               | :-)   | UP    | ovn-controller                |
| 00d2f708-a96c-4e9e-b202-d234584dcb80 | OVN Controller Gateway agent | controller-1.localdomain | n/a               | :-)   | UP    | ovn-controller                |
| c0c91d64-7cb0-437c-83b4-fdcd5417c161 | OVN Controller Gateway agent | controller-2.localdomain | n/a               | :-)   | UP    | ovn-controller                |
| e0c6b774-a882-43a4-8e78-2857ded18469 | OVN Metadata agent           | compute-0.localdomain    | n/a               | :-)   | UP    | networking-ovn-metadata-agent |
| 84afddf8-5f43-4968-8b7d-d3764551fc8e | OVN Controller agent         | compute-0.localdomain    | n/a               | :-)   | UP    | ovn-controller                |
+--------------------------------------+------------------------------+--------------------------+-------------------+-------+-------+-------------------------------+
(overcloud) [stack@undercloud-0 ~]$ openstack network agent list 
+--------------------------------------+------------------------------+--------------------------+-------------------+-------+-------+-------------------------------+
| ID                                   | Agent Type                   | Host                     | Availability Zone | Alive | State | Binary                        |
+--------------------------------------+------------------------------+--------------------------+-------------------+-------+-------+-------------------------------+
| 3eee6522-d9c9-461d-9609-965173b3f667 | OVN Metadata agent           | compute-1.localdomain    | n/a               | :-)   | UP    | networking-ovn-metadata-agent |
| ed6bb065-24a5-4fcb-8bed-5322b9e486c5 | OVN Controller agent         | compute-1.localdomain    | n/a               | :-)   | UP    | ovn-controller                |
| 84a56f80-e22a-458c-a423-9052e729e172 | OVN Controller Gateway agent | controller-0.localdomain | n/a               | :-)   | UP    | ovn-controller                |
| 00d2f708-a96c-4e9e-b202-d234584dcb80 | OVN Controller Gateway agent | controller-1.localdomain | n/a               | :-)   | UP    | ovn-controller                |
| c0c91d64-7cb0-437c-83b4-fdcd5417c161 | OVN Controller Gateway agent | controller-2.localdomain | n/a               | :-)   | UP    | ovn-controller                |
| e0c6b774-a882-43a4-8e78-2857ded18469 | OVN Metadata agent           | compute-0.localdomain    | n/a               | :-)   | UP    | networking-ovn-metadata-agent |
| 84afddf8-5f43-4968-8b7d-d3764551fc8e | OVN Controller agent         | compute-0.localdomain    | n/a               | :-)   | UP    | ovn-controller                |
+--------------------------------------+------------------------------+--------------------------+-------------------+-------+-------+-------------------------------+



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.ping to the node
2. reboot the node - verify that the ping stopped 
3. check the agent status - OpenStack network agent list

Actual results:
the staus did not change

Expected results:


Additional info:

Comment 1 Eran Kuris 2018-11-26 12:55:27 UTC
Checked on:
OpenStack/14.0-RHEL-7/2018-11-22.2/

on compute nodes & controller